LinkedList
Date: 2016-06-24

java.util

## Class LinkedList

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractList
    - - java.util.AbstractSequentialList
      - - java.util.LinkedList

- All Implemented Interfaces:
    Serializable, Cloneable, Collection, List

      public class LinkedList
      extends AbstractSequentialList
      implements Serializable, Cloneable, List

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedList()`
    `LinkedList(Collection var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFirst(Object var0)`
    `void` | `addLast(Object var0)`
    `Object` | `clone()`
    `Object` | `getFirst()`
    `Object` | `getLast()`
    `ListIterator` | `listIterator(int var0)`
    `Object` | `removeFirst()`
    `Object` | `removeLast()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSequentialList

      `get`

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, indexOf, iterator, lastIndexOf, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, addAll, equals, get, hashCode, indexOf, lastIndexOf, listIterator, remove, set, subList`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### LinkedList

          public LinkedList()

    - #### LinkedList

          public LinkedList(Collection var0)

  - ### Method Detail

    - #### addFirst

          public void addFirst(Object var0)

    - #### addLast

          public void addLast(Object var0)

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getFirst

          public Object getFirst()

    - #### getLast

          public Object getLast()

    - #### listIterator

          public ListIterator listIterator(int var0)

      Specified by:
        `listIterator` in interface `List`
      Specified by:
        `listIterator` in class `AbstractSequentialList`

    - #### removeFirst

          public Object removeFirst()

    - #### removeLast

          public Object removeLast()

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`